/* *, *::before, *::after { box-sizing: border-box; } */

header.topbar {
    position: fixed;
    top: 0;
    left: 0;

    display: flex;
    width: 100%;
    height: 56px;
    background: white;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    padding: 0 16px;
    transition: transform 0.25s ease, box-shadow 0.25s ease;
    z-index: var(--z-top);
    box-sizing: border-box;
}

header.topbar.hide {
    transform: translateY(-100%);
}

/* Dividir en 3 columnas iguales */
header.topbar .left,
header.topbar .center,
header.topbar .right {
    flex: 1;             
    display: flex;
    align-items: center;
}

/* Left alineado a la izquierda */
header.topbar .left {
    justify-content: flex-start;
}

/* Center centrado */
header.topbar .center {
    justify-content: center;
    font-weight: bold;
    font-size: 18px;
}

/* Right alineado a la derecha */
header.topbar .right {
    justify-content: flex-end;
    gap: 8px; 
} 

.logo a {
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 0.3em;
    color: var(--app-primary-color);
    text-decoration: none;
    display: inline-block;
    pointer-events: auto;
    text-transform: uppercase;
}
